/*
 * ConfigureEvent.java
 *
 * Created on November 2, 2001, 12:29 PM
 * $Header: D:/Projects/Repository/GaugeAPI/edu/cmu/cs/able/gaugeInfrastructure/Events/ConfiguredEvent.java,v 1.2 2002/01/31 15:20:31 schmerl Exp $
 * $Log: ConfiguredEvent.java,v $
 * Revision 1.2  2002/01/31 15:20:31  schmerl
 * Added CVS Header information
 *
 */

package edu.cmu.cs.able.gaugeInfrastructure.Events;
import edu.cmu.cs.able.gaugeInfrastructure.util.*;
/** This event is generated when a gauge <b>has been</b> configured.
 *
 * @author Bradley Schmerl
 * @version 1.1
 */
public class ConfiguredEvent extends GaugeEvent {

    /** The parameters the gauge was configured with
     */    
    public StringPairVector configParams;
    /** The gauge manager managing the gauge
     */    
    public String gaugeMgrID;
    /** Creates new ConfigureEvent
     * @param gauge The ID of the gauge that was configured
     */
    public ConfiguredEvent(GaugeID gauge) {
        xferGaugeID (gauge);
    }
    
    public ConfiguredEvent () {
    }
    
    public boolean equals (Object o) {
        return super.equals (o);
    }

}
