/*
 * DeleteEvent.java
 *
 * Created on November 2, 2001, 12:30 PM
 * $Header: D:/Projects/Repository/GaugeAPI/edu/cmu/cs/able/gaugeInfrastructure/Events/DeletedEvent.java,v 1.2 2002/01/31 16:39:02 schmerl Exp $
 * $Log: DeletedEvent.java,v $
 * Revision 1.2  2002/01/31 16:39:02  schmerl
 * Added CVS header information
 *
 */

package edu.cmu.cs.able.gaugeInfrastructure.Events;
import edu.cmu.cs.able.gaugeInfrastructure.util.*;
/** The event sent when a gauge has been deleted (the last event a gauge will send)
 *
 * @author Bradley Schmerl
 * @version 1.1
 */
public class DeletedEvent extends GaugeEvent {

    /** The ID of the gauge manager that deleted the gauge
     */    
    public String gaugeMgrID;
    /** Creates new DeleteEvent
     * @param gauge The ID of the gauge that was deleted.
     */
    public DeletedEvent(GaugeID gauge) {
        xferGaugeID (gauge);
    }

    public DeletedEvent () {
    }
}
