/*
 * MultipleValueEvent.java
 *
 * Created on November 2, 2001, 12:28 PM
 * $Header: D:/Projects/Repository/GaugeAPI/edu/cmu/cs/able/gaugeInfrastructure/Events/MultipleValueEvent.java,v 1.2 2002/01/31 16:39:02 schmerl Exp $
 * $Log: MultipleValueEvent.java,v $
 * Revision 1.2  2002/01/31 16:39:02  schmerl
 * Added CVS header information
 *
 */

package edu.cmu.cs.able.gaugeInfrastructure.Events;
import edu.cmu.cs.able.gaugeInfrastructure.util.*;
/** An event generated when a gauge reports multiple values
 *
 * @author Bradley Schmerl
 * @version 1.1
 */
public class MultipleValueEvent extends GaugeEvent {

    /** The values that the gauge is reporting
     */    
    public GaugeValueVector values;
    
    /** Creates new MultipleValueEvent
     * @param gauge The ID of the gauge generating the event
     */
    public MultipleValueEvent(GaugeID gauge) {
        xferGaugeID (gauge);
    }

    public MultipleValueEvent () {}
}
