/*
 * CreateEvent.java
 *
 * Created on November 2, 2001, 12:30 PM
 * $Header: D:/Projects/Repository/GaugeAPI/edu/cmu/cs/able/gaugeInfrastructure/Events/CreatedEvent.java,v 1.2 2002/01/31 16:39:02 schmerl Exp $
 * $Log: CreatedEvent.java,v $
 * Revision 1.2  2002/01/31 16:39:02  schmerl
 * Added CVS header information
 *
 */

package edu.cmu.cs.able.gaugeInfrastructure.Events;
import edu.cmu.cs.able.gaugeInfrastructure.util.*;
/** An event sent when a gauge has been created.
 *
 * @author Bradley Schmerl
 * @version 1.1
 */
public class CreatedEvent extends GaugeEvent {

    /** The ID of the gauge manager that created the gauge
     */    
    public String gaugeMgrID;
    /** Creates new CreateEvent
     * @param gauge The ID of the gauge that was created
     */
    public CreatedEvent(GaugeID gauge) {
        xferGaugeID (gauge);
    }
    
    public CreatedEvent () {
    }

}
