/*
 * GaugeEvent.java
 *
 * Created on November 5, 2001, 9:37 AM
 * $Header: D:/Projects/Repository/GaugeAPI/edu/cmu/cs/able/gaugeInfrastructure/Events/GaugeEvent.java,v 1.2 2002/01/31 16:39:02 schmerl Exp $
 * $Log: GaugeEvent.java,v $
 * Revision 1.2  2002/01/31 16:39:02  schmerl
 * Added CVS header information
 *
 */

package edu.cmu.cs.able.gaugeInfrastructure.Events;
import edu.cmu.cs.able.gaugeInfrastructure.util.*;
/** The root class of all gauge events
 *
 * @author Bradley Schmerl
 * @version 1.1
 */
public class GaugeEvent extends edu.cmu.cs.able.gaugeInfrastructure.util.GaugeID {

    /** The status of the reply: <b>true</b> means that a request was succesful.
     */    
    public boolean status;
    
    /** Creates new GaugeEvent */
    public GaugeEvent() {
    }
    
    /**
     * @param gauge The ID of the gauge associatd with the event
     */    
    public GaugeEvent (GaugeID gauge) {
        xferGaugeID (gauge);
    }
    
    public boolean equals (Object event) {
        return super.equals (event);
    }

}
