/*
 * ValueEvent.java
 *
 * Created on November 2, 2001, 12:27 PM
 * $Header: D:/Projects/Repository/GaugeAPI/edu/cmu/cs/able/gaugeInfrastructure/Events/ValueEvent.java,v 1.2 2002/01/31 16:39:02 schmerl Exp $
 * $Log: ValueEvent.java,v $
 * Revision 1.2  2002/01/31 16:39:02  schmerl
 * Added CVS header information
 *
 */

package edu.cmu.cs.able.gaugeInfrastructure.Events;
import edu.cmu.cs.able.gaugeInfrastructure.util.*;
/** An event generated when a gauge reports a value
 *
 * @author Bradley Schmerl
 * @version 1.1
 */
public class ValueEvent extends GaugeEvent {

    /** The name of the value
     */    
    public String valueName = null;
    
    /** The model property that the value is associated with
     */    
    public String propertyName = null;
    
    /** The value reported
     */    
    public String value = null;
    
    /** Creates new ValueEvent
     * @param gauge The ID of the gauge that generated the event
     */
    public ValueEvent(GaugeID gauge) {
        xferGaugeID (gauge);
    }

    public ValueEvent () {}
}
